//priority: 100
ClientEvents.lang("en_us", (event) => {
  // Keep Stepping has its own toggle. Client Tweaks needs to stay in their lane.
  event.add(
    "clienttweaks",
    "key.clienttweaks.disableStepAssist",
    "Don't Use this to Toggle Step Up"
  );
  
  //Sword In The unlocalized Stone
  event.add(
    "swordinthestone",
    "block.swordinthestone.sword_stone",
    "Sword Stone"
  );

  // This mod is so cute! UwU
  event.add(
    "seadwellers",
    "info.mermorph_trade_fish",
    "Accepts: Any Sushi Roll"
  );
  event.add(
    "seadwellers",
    "info.mermorph_trade_aquamarine",
    "Accepts: Bowl of Guardian Soup"
  );
  event.add(
    "seadwellers",
    "info.mermorph_trade_nautilus",
    "Accepts: Cabbage Wrapped Elder Guardian"
  );

  // Farmer's Delight
  event.add(
    "farmersdelight",
    "farmersdelight.advancement.place_campfire.desc",
    "Bonfire It Up"
  );

  // Custom Portal Block
  event.add(
    "customportalapi",
    "block.customportalapi.custom_portal_block",
    "Portal"
  );

  // Nethers Exoticism
  event.add(
    "nethers_exoticism",
    "fluid_type.nethers_exoticism.jaboticaba_juice",
    "Jaboticaba Juice"
  );
  
  // Renaming Mechanical Spawner Fluids
  
  // Imp Spawning
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_skeleton",
    "Imp Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_skeleton_bucket', 'Bucket of Imp Spawning Fluid')

  // Img Guard Spawning
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_blaze",
    "Imp Guard Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_blaze_bucket', 'Bucket of Imp Guard Spawning Fluid')

  // Demon Spawning
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_enderman",
    "Demon Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_enderman_bucket', 'Bucket of Demon Spawning Fluid')

  // Demon Lord
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_slime",
    "Demon Lord Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_slime_bucket', 'Bucket of Demon Lord Spawning Fluid')

  // Ancient Demon Lord
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_spider",
    "Ancient Demon Lord Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_spider_bucket', 'Bucket of Ancient Demon Lord Spawning Fluid')

  // Lizard Tail
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_creeper",
    "Lizard Tail Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_creeper_bucket', 'Bucket of Lizard Tail Spawning Fluid')

  // Ad Astra Space Steel
  event.renameItem('ad_astra:steel_ingot', "Space Steel Ingot")
  event.renameItem('ad_astra:steel_nugget', "Space Steel Nugget")
  event.renameItem('ad_astra:steel_plate', "Space Steel Plate")
  event.renameItem('ad_astra:steel_rod', "Space Steel Rod")
  event.renameItem('ad_astra:steel_block', "Space Steel Block")

  // Create White Chocolate 
  event.renameItem('createsifter:brass_sifter', "White Chocolate Sifter")
  event.renameItem('createsifter:brass_mesh', "White Chocolate Mesh")
  event.renameItem('create:brass_tunnel', "White Chocolate Tunnel")
  event.renameItem('create:brass_scaffolding', "White Chocolate Scaffolding")
  event.renameItem('create:brass_ladder', "White Chocolate Ladder")
  event.renameItem('create:brass_hand', "White Chocolate Hand")
  event.renameItem('create:brass_funnel', "White Chocolate Funnel")
  event.renameItem('create:brass_door', "White Chocolate Door")
  event.renameItem('create:brass_casing', "White Chocolate Casing")
  event.renameItem('create:brass_bars', "White Chocolate Bars")
  event.renameItem('create_sabers:double_brass_saber_yellow', "Yellow DoubleWhite Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_white', "Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_red', "Red Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_purple', "Purple Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_pink', "Pink Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_orange', "Orange Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_lime', "Lime Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_blue', "Blue Double White Chocolate Saber")
  event.renameItem('create_sabers:double_brass_saber_black', "Black Double White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_yellow', "Yellow White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_white', "White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_red', "Red White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_purple', "Purple White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_pink', "Pink White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_orange', "Orange White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_lime', "Lime White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_galaxy', "Galaxy White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_blue', "Blue White Chocolate Saber")
  event.renameItem('create_sabers:brass_saber_black', "Black White Chocolate Saber)")
  event.renameItem('create_sa:brass_sword', "White Chocolate Sword")
  event.renameItem('create_sa:brass_shovel', "White Chocolate Shovel")
  event.renameItem('create_sa:brass_pickaxe', "White Chocolate Pickaxe")
  event.renameItem('create_sa:brass_leggings', "White Chocolate Leggings")
  event.renameItem('create_sa:brass_jetpack_chestplate', "White Chocolate Jetpack")
  event.renameItem('create_sa:brass_hoe', "White Chocolate Hoe")
  event.renameItem('create_sa:brass_helmet', "White Chocolate Helmet")
  event.renameItem('create_sa:brass_exoskeleton_chestplate', "White Chocolate Exoskeleton")
  event.renameItem('create_sa:brass_drill_head', "White Chocolate Drill Head")
  event.renameItem('create_sa:brass_cube', "White Chocolate Cube")
  event.renameItem('create_sa:brass_chestplate', "White Chocolate Chestplate")
  event.renameItem('create_sa:brass_boots', "White Chocolate Boots")
  event.renameItem('create_sa:brass_axe', "White Chocolate Axe")

  // Caramel Casing Stuff
  event.renameItem('create:copper_casing', "Caramel Casing")

  // Minecraft Wooden Tools are Toys
  event.renameItem('minecraft:wooden_axe', "Toy Axe")
  event.renameItem('minecraft:wooden_pickaxe', "Toy Pickaxe")
  event.renameItem('minecraft:wooden_hoe', "Toy Hoe")
  event.renameItem('minecraft:wooden_shovel', "Toy Shovel")
  event.renameItem('minecraft:wooden_sword', "Toy Sword")

  // Sugar Water clarification
  event.add('the_bumblezone.sugar_water_bucket.description', "Bucket holding Sugar Water fluid. Can be obtained by using an empty Bucket on Sugar Water. Can be used in Dispensers too!")
  event.add('the_bumblezone.sugar_water_still.description', "A fluid that is Water infused with Sugar. Any mobs in it is slowed slightly more than regular water. This fluid can be found in The Bumblezone dimension or obtained from waterlogging Honey Crystal Block.\n Overall, Sugar Water will have much of the same behavior as regular water because this fluid has a water tag. This means you can hydrate Farmland or keep coral alive with this fluid. \n\n\n This fluid will heal any bee touching it if the bee is not currently taking damage. Furthermore, this fluid will grow Sugar Cane much faster if placed next to the plant (this effect can be stacked up to 4 times). \n\n When this fluid comes in contact with any other fluid that has a lava tag, this fluid will turn into either Sugar Infused Cobblestone or Sugar Infused Stone blocks.")
});

